# Dataset.remove\_labels

### Dataset.<mark style="color:purple;">remove\_labels</mark>(*labels*) → self

Remove labels from a dataset, if they exist. All labels are case-insensitive and stored lowercase.

### **Parameters:**

**`labels` :&#x20;*****str\[]***\
A list of labels to remove from the dataset. Labels can only use alphanumeric characters and underscores, and may be include up to one colon to create a multipart label (e.g., `school:humanities`). Labels can currently only be assigned to datasets owned by an organization, and you must be an administrator of that organization to view and edit labels.

### **Returns:**&#x20;

**self (a** [**Dataset**](/api/client-libraries/redivis-python/reference/dataset.md)**)**

{% hint style="success" %}
**See also**

* [Dataset.add\_labels()](/api/client-libraries/redivis-python/reference/dataset/dataset.add_labels.md)
* [Dataset.update()](/api/client-libraries/redivis-python/reference/dataset/dataset.update.md)
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/dataset/dataset.remove_labels.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
